/**
 * generated by Xtext 2.17.0
 */
package org.xtext.example.mydsl.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import org.xtext.example.mydsl.SchemeRuntimeModule;
import org.xtext.example.mydsl.SchemeStandaloneSetup;
import org.xtext.example.mydsl.ide.SchemeIdeModule;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class SchemeIdeSetup extends SchemeStandaloneSetup {
  @Override
  public Injector createInjector() {
    SchemeRuntimeModule _schemeRuntimeModule = new SchemeRuntimeModule();
    SchemeIdeModule _schemeIdeModule = new SchemeIdeModule();
    return Guice.createInjector(Modules2.mixin(_schemeRuntimeModule, _schemeIdeModule));
  }
}
